Page MenuHomePhabricator

ELF: Find invalid relocations as many as possible.
ClosedPublic

Authored by ruiu on Jan 27 2016, 1:11 PM.

Details

Reviewers
rafael

Diff Detail

Event Timeline

ruiu updated this revision to Diff 46173.Jan 27 2016, 1:11 PM
ruiu retitled this revision from to ELF: Find invalid relocations as many as possible..
ruiu updated this object.
ruiu added a reviewer: rafael.
ruiu added a subscriber: llvm-commits.
ruiu updated this revision to Diff 46174.Jan 27 2016, 1:15 PM
  • Made a change to remove a file only when we actually created it.
rafael added inline comments.Jan 29 2016, 11:11 AM
ELF/Driver.cpp
295 ↗(On Diff #46174)

Unrelated? Or update the patch description.

ELF/Target.cpp
229

Unrelated.

238

unrelated.

ELF/Writer.cpp
168

unrelated?

173

Is this needed? I thought the library we were using deleted the file if commit was not called or it failed.

ruiu updated this revision to Diff 46404.Jan 29 2016, 12:00 PM
ruiu marked 2 inline comments as done.
  • Update as per Rafael's comments.
ELF/Driver.cpp
295 ↗(On Diff #46174)

Removed.

ELF/Writer.cpp
168

Done.

173

Done.

ruiu updated this revision to Diff 46405.Jan 29 2016, 12:01 PM
  • Removed unreacahble code.
rafael accepted this revision.Jan 30 2016, 6:53 AM
rafael edited edge metadata.

LGTM with a testcase and a few nits.

ELF/Target.cpp
447

This is a broken file.

906

This is a broken file.

936

This is a broken file.

1144

This is a broken file.

1381

This is a broken file.

1523

This is a broken file.

This revision is now accepted and ready to land.Jan 30 2016, 6:53 AM
ruiu marked 6 inline comments as done.Feb 1 2016, 2:22 PM
ruiu closed this revision.Feb 1 2016, 3:33 PM

Committed as r259435.